Bug 52408 - tar: cannot allocate memory
Summary: tar: cannot allocate memory
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tar   
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-23 16:33 UTC by daryl herzmann
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 16:34:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description daryl herzmann 2001-08-23 16:33:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-SGI_XFS_1.0.1 i686)

Description of problem:
kernel 2.4.7-2 #1
tar-1.13.19-5
Exabyte 85058SQANXR1 Tape Drive
SCSI card sym53c810a
Alpha Station 233
I try to do anything with the tape drive will tar and I get
tar: /dev/st0: Cannot read: Cannot allocate memory
tar: At beginning of tape, quitting now
tar: Error is not recoverable: exiting now


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert tape
2. Try tar -tf /dev/st0 or tar -xf /dev/st0 
3. 
	

Actual Results:  Get error

Expected Results:  See contents of tape

Additional info:

Same results for standard RH7.1 kernel.  I tried rawhide kernel.

Comment 1 daryl herzmann 2001-08-25 20:40:47 UTC
Ok, I searched the LKML and found a similiar message.  It said
that I need to specify block size now with kernel 2.4  So I added 
a -b 64 to my tar command and I can rw to my tape again!

Unless you have some comments, I will suggest this bug as resolved
but wonder if a bit more verbosity can be given.


Note You need to log in before you can comment on or make changes to this bug.